/* ТЕОРЕТИЧНІ ПИТАННЯ

1. Що таке логічний оператор?
Логічні оператори - це оператори, які дозволяють порівнювати змінні та виконувати певні дії на основі результату цього порівняння.*/

/*2. Які логічні оператори є в JavaScript і які їх символи?
В JavaScript є такі логічні оператори:
! (Логічне НЕ)
|| (Логічне АБО)
&& (Логічне І)
?? (Оператор об'єднання з нульовим заляганням)*/

/*ПРАКТИЧНІ ПИТАННЯ

1. Попросіть користувача ввести свій вік за допомогою prompt.
Якщо вік менше 12 років, виведіть у вікні alert повідомлення про те,
що він є дитиною, якщо вік менше 18 років, виведіть повідомлення про те,
що він є підлітком, інакше виведіть повідомлення про те, що він є дорослим.
Перевірте чи ввів користувач саме число в поле prompt. Якщо ні, то виведіть повідомлення, що введено не число.*/

'use strict'

let age = prompt('Введіть, будь-ласка, свій вік');

while (age != Number(age)) {
    age = prompt('Ви ввели не число! Введіть, будь-ласка Ваш вік!')
}
if (age>0 && age<12) {
    alert('Ви ще дитина');
} else if (age>=12 && age<18) {
    alert('Ви ще підліток');
} else if (age>=18) {
    alert('Ви вже дорослий');
} else {
    alert('Ви ввели не існуючий вік')
}
console.log(age);

/* 2. Напишіть програму, яка запитує у користувача місяць року (українською мовою маленкими літерами) та виводить повідомлення,
скільки днів у цьому місяці. Результат виводиться в консоль.
Скільки днів в кожному місяці можна знайти тут в розділі Юліанський і Григоріанський календарі - 
https://uk.wikipedia.org/wiki/%D0%9C%D1%96%D1%81%D1%8F%D1%86%D1%8C_(%D1%87%D0%B0%D1%81)
(Використайте switch case)*/

let month = prompt('Який місяць за кількістю днів Вас цікавить?').toLowerCase();

switch (month) {
    case "січень":
            case "березень":
                case "травень":
                    case "липень":
                        case "серпень":
                            case "жовтень":
                                case "грудень":
                                    console.log("У місяці 31 день");
                                    break;
        case "квітень":
            case "червень":
                case "вересень":
                    case "листопад":
                        console.log("У місяці 30 днів");
                        break;
        case "лютий":
            console.log("У місяці 28 днів в невисокосному році та 29 у високосному");
            break;

        default:
            console.log("Значення місяця невірне");

}





